Skip to content
Start here

Delete Internal DNS View

dns.settings.account.views.delete(strview_id, ViewDeleteParams**kwargs) -> ViewDeleteResponse
DELETE/accounts/{account_id}/dns_settings/views/{view_id}

Delete an existing Internal DNS View

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
DNS View Write
ParametersExpand Collapse
account_id: str

Identifier.

maxLength32
view_id: str

Identifier.

maxLength32
ReturnsExpand Collapse
class ViewDeleteResponse:
id: Optional[str]

Identifier.

maxLength32

Delete Internal DNS View

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
view = client.dns.settings.account.views.delete(
    view_id="023e105f4ecef8ad9ca31a8372d0c353",
    account_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(view.id)
{
  "result": {
    "id": "023e105f4ecef8ad9ca31a8372d0c353"
  }
}
Returns Examples
{
  "result": {
    "id": "023e105f4ecef8ad9ca31a8372d0c353"
  }
}